Bug 730317 - Review Request: jboss-logmanager-log4j - JBoss LogManager Log4j Compatibility Library
Summary: Review Request: jboss-logmanager-log4j - JBoss LogManager Log4j Compatibility...
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Jaromír Cápík
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-08-12 13:29 UTC by Marek Goldmann
Modified: 2016-02-01 01:55 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-10-07 13:43:11 UTC
jcapik: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)
Mock result (16.86 KB, application/x-gzip)
2011-08-29 17:10 UTC, Jaromír Cápík
no flags Details

Comment 1 Jaromír Cápík 2011-08-29 15:24:21 UTC
I'll do this one ...

Comment 2 Jaromír Cápík 2011-08-29 17:10:00 UTC
Created attachment 520437 [details]
Mock result

Comment 3 Jaromír Cápík 2011-08-29 17:10:33 UTC
Package Review
==============

Key:
- = N/A
x = Check
! = Problem
? = Not evaluated

=== REQUIRED ITEMS ===
[?]  Rpmlint output:

$ rpmlint jboss-logmanager-log4j-1.0.0-1.fc17.src.rpm 
jboss-logmanager-log4j.src: W: invalid-url Source0: jboss-logmanager-log4j-1.0.0.GA.tar.xz
1 packages and 0 specfiles checked; 0 errors, 1 warnings.

NOTE : RPMs not available, can't test them.

[x]  Package is named according to the Package Naming Guidelines[1].
[x]  Spec file name must match the base package name, in the format %{name}.spec.
[x]  Package meets the Packaging Guidelines[2].
[!]  Package successfully compiles and builds into binary rpms.

Build failed!

NOTE : Mock result attached

[x]  Buildroot definition is not present
[x]  Package is licensed with an open-source compatible license and meets other legal requirements as defined in the legal section of Packaging Guidelines[3,4].
[x]  License field in the package spec file matches the actual license.

License type: LGPLv2+

[x]  If (and only if) the source package includes the text of the license(s) in its own file, then that file, containing the text of the license(s) for the package is included in %doc.
[-]  All independent sub-packages have license of their own
[x]  Spec file is legible and written in American English.
[x]  Sources used to build the package matches the upstream source, as provided in the spec URL.

MD5SUM this package     : ce3fc7a944c3e2dcf52d49a4cc68323f (size 6504)
MD5SUM upstream package : not relevant -> svn export

NOTE: directory diff was empty -> sources match

[?]  All build dependencies are listed in BuildRequires, except for any that are listed in the exceptions section of Packaging Guidelines[5].
[x]  Package must own all directories that it creates.
[-]  Package requires other packages for directories it uses.
[x]  Package does not contain duplicates in %files.
[x]  File sections do not contain %defattr(-,root,root,-) unless changed with good reason
[x]  Permissions on files are set properly.
[x]  Package does NOT have a %clean section which contains rm -rf %{buildroot} (or $RPM_BUILD_ROOT). (not needed anymore)
[x]  Package consistently uses macros (no %{buildroot} and $RPM_BUILD_ROOT mixing)
[x]  Package contains code, or permissable content.
[-]  Fully versioned dependency in subpackages, if present.
[-]  Package contains a properly installed %{name}.desktop file if it is a GUI application.
[x]  Package does not own files or directories owned by other packages.
[?]  Javadoc documentation files are generated and included in -javadoc subpackage
[x]  Javadocs are placed in %{_javadocdir}/%{name} (no -%{version} symlinks)
[x]  Packages have proper BuildRequires/Requires on jpackage-utils
[x]  Javadoc subpackages have Require: jpackage-utils
[x]  Package uses %global not %define
[x]  If package uses tarball from VCS include comment how to re-create that tarball (svn export URL, git clone URL, ...)
[-]  If source tarball includes bundled jar/class files these need to be removed prior to building
[x]  All filenames in rpm packages must be valid UTF-8.
[x]  Jar files are installed to %{_javadir}/%{name}.jar (see [6] for details)
[x]  If package contains pom.xml files install it (including depmaps) even when building with ant
[x]  pom files has correct add_maven_depmap

=== Maven ===
[x]  Use %{_mavenpomdir} macro for placing pom files instead of %{_datadir}/maven2/poms
[-]  If package uses "-Dmaven.test.skip=true" explain why it was needed in a comment
[-]  If package uses custom depmap "-Dmaven.local.depmap.file=*" explain why it's needed in a comment
[x]  Package DOES NOT use %update_maven_depmap in %post/%postun
[x]  Packages DOES NOT have Requires(post) and Requires(postun) on jpackage-utils for %update_maven_depmap macro

=== Other suggestions ===
[x]  If possible use upstream build method (maven/ant/javac)
[x]  Avoid having BuildRequires on exact NVR unless necessary
[x]  Package has BuildArch: noarch (if possible)
[x]  Latest version is packaged.
[!]  Reviewer should test that the package builds in mock.

Tested on: fedora-rawhide-x86_64

Build failed!

NOTE : Mock result attached



=== Issues ===
1. Package can't be built with mock -> can't verify missing deps

=== Final Notes ===
1. Is that empty %doc in the %files section needed? Why?


Please, fix the build and let me know.


[1] https://fedoraproject.org/wiki/Packaging:NamingGuidelines
[2] https://fedoraproject.org/wiki/Packaging:Guidelines
[3] https://fedoraproject.org/wiki/Packaging:LicensingGuidelines
[4] https://fedoraproject.org/wiki/Licensing:Main
[5] https://fedoraproject.org/wiki/Packaging/Guidelines#Exceptions_2 
[6] https://fedoraproject.org/wiki/Packaging:Java#Filenames

Comment 4 Marek Goldmann 2011-08-30 06:48:52 UTC
After some changes in maven-surefire it requires junit to work, no matter if we don't use it at all. I've bumped the jboss-parent yesterday - please make sure you use jboss-parent-6-3.fc17, not jboss-parent-6-2.fc17 which fixes the issue. This should be available after next createrepo in rawhide (today).

The empty %doc is not needed - I'll remove it. This spec file was created some time ago - before someone told me that it's not required :)

Comment 5 Jaromír Cápík 2011-09-27 12:15:09 UTC
I thought You would like to attach the fixed spec file ... probably misunderstanding.

---

[x]  Rpmlint output:
$ rpmlint jboss-logmanager-log4j-1.0.0-1.fc17.src.rpm 
jboss-logmanager-log4j.src: W: invalid-url Source0: jboss-logmanager-log4j-1.0.0.GA.tar.xz
1 packages and 0 specfiles checked; 0 errors, 1 warnings.

$ rpmlint jboss-logmanager-log4j-1.0.0-1.fc17.noarch.rpm 
jboss-logmanager-log4j.noarch: W: no-documentation
1 packages and 0 specfiles checked; 0 errors, 1 warnings.

$ rpmlint jboss-logmanager-log4j-javadoc-1.0.0-1.fc17.noarch.rpm 
jboss-logmanager-log4j-javadoc.noarch: W: spelling-error Summary(en_US) Javadocs -> Java docs, Java-docs, Avocados
1 packages and 0 specfiles checked; 0 errors, 1 warnings.

[x]  Package successfully compiles and builds into binary rpms.
[x]  All build dependencies are listed in BuildRequires, except for any that
are listed in the exceptions section of Packaging Guidelines[5].
[x]  Javadoc documentation files are generated and included in -javadoc
subpackage
[x]  Reviewer should test that the package builds in mock.

Tested on: fedora-rawhide-x86_64

================
*** APPROVED ***
================

Comment 6 Jaromír Cápík 2011-09-27 17:05:16 UTC
One more issue is present ...

apidocs are copied with the apidocs directory, please fix that ...

Comment 7 Marek Goldmann 2011-10-02 09:53:31 UTC
Thanks for review! I'll fix the apidocs issue while importing the package.

New Package SCM Request
=======================
Package Name:      jboss-logmanager-log4j
Short Description: JBoss LogManager Log4j Compatibility Library
Owners:            goldmann

Comment 8 Gwyn Ciesla 2011-10-03 12:21:22 UTC
Git done (by process-git-requests).

Comment 9 Marek Goldmann 2011-10-07 13:43:11 UTC
Thanks for git, closing.


Note You need to log in before you can comment on or make changes to this bug.